
'use client';

import React, { useState } from 'react';

const TelegramForm = () => {
  const [formData, setFormData] = useState({
    name: '',
    lastName: '',
    phone: ''
  });
  const [sent, setSent] = useState(false);

  const TOKEN = '6962958761:AAHVfplvNv0t5Sny2Gl4YGvUumoxXd-9EaY';
  const CHAT_ID = '-1001940570100';
  const URI_API = `https://api.telegram.org/bot${TOKEN}/sendMessage`;

  const handleChange = (e) => {
    const { name, value } = e.target;
    setFormData({ ...formData, [name]: value });
  };

  const handleSubmit = async (e) => {
    e.preventDefault();

    const message = `
<b>Заявка с сайта</b>
Имя: ${formData.name}
Фамилия: ${formData.lastName}
Телефон: ${formData.phone}`;

    try {
      await fetch(URI_API, {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify({
          chat_id: CHAT_ID,
          text: message,
          parse_mode: 'HTML',
        }),
      });
      setSent(true);
      setFormData({ name: '', lastName: '', phone: '' });
    } catch (error) {
      console.error('Ошибка при отправке:', error);
    }
  };

  return (
    <div>
      {sent ? (
        <p>Спасибо! Заявка отправлена ✅</p>
      ) : (
        <form onSubmit={handleSubmit}>
          <input
            type="text"
            name="name"
            placeholder="Имя"
            value={formData.name}
            onChange={handleChange}
            required
          />
          <input
            type="text"
            name="lastName"
            placeholder="Фамилия"
            value={formData.lastName}
            onChange={handleChange}
            required
          />
          <input
            type="tel"
            name="phone"
            placeholder="Телефон"
            value={formData.phone}
            onChange={handleChange}
            required
          />
          <button type="submit">Отправить</button>
        </form>
      )}
    </div>
  );
};

export default TelegramForm;
